> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/cloud-ingest/models.md).

# Models

## The Crawler object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"Crawler":{"type":"object","properties":{"crawlerId":{"type":"string","format":"uuid"},"name":{"type":"string"},"includePaths":{"type":"array","items":{"$ref":"#/components/schemas/CrawlerIncludePath"}},"fileSystemId":{"type":"string","format":"uuid"},"domainId":{"type":"string","format":"uuid"},"customClassifiers":{"type":"array","items":{"type":"string"}},"tableLevel":{"type":"integer","format":"int32"},"targets":{"type":"string"},"fileGroupPattern":{"type":"string"}}},"CrawlerIncludePath":{"required":["excludePatterns","path"],"type":"object","properties":{"path":{"type":"string"},"excludePatterns":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}}}}}
```

## The CrawlerIncludePath object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"CrawlerIncludePath":{"required":["excludePatterns","path"],"type":"object","properties":{"path":{"type":"string"},"excludePatterns":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}}}}}
```

## The AddCrawlerRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"AddCrawlerRequest":{"required":["assetTypeId","domainId","fileSystemAssetId","includePaths","name"],"type":"object","properties":{"name":{"maxLength":2147483647,"minLength":1,"type":"string"},"includePaths":{"maxItems":2147483647,"minItems":1,"type":"array","items":{"$ref":"#/components/schemas/CrawlerIncludePathRequest"}},"fileSystemAssetId":{"type":"string","format":"uuid"},"domainId":{"type":"string","format":"uuid"},"assetTypeId":{"type":"string","format":"uuid"},"customClassifiers":{"type":"array","items":{"type":"string"}},"tableLevel":{"maximum":100,"minimum":1,"type":"integer","format":"int32"},"targets":{"type":"string"},"fileGroupPattern":{"type":"string"}}},"CrawlerIncludePathRequest":{"required":["path"],"type":"object","properties":{"path":{"type":"string"},"excludePatterns":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}}}}}
```

## The CrawlerIncludePathRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"CrawlerIncludePathRequest":{"required":["path"],"type":"object","properties":{"path":{"type":"string"},"excludePatterns":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}}}}}
```

## The RemoveCrawlerRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"RemoveCrawlerRequest":{"required":["assetTypeId","crawlerId","fileSystemAssetId"],"type":"object","properties":{"crawlerId":{"type":"string","format":"uuid"},"fileSystemAssetId":{"type":"string","format":"uuid"},"assetTypeId":{"type":"string","format":"uuid"}}}}}}
```

## The UpdateCrawlerRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"UpdateCrawlerRequest":{"required":["assetTypeId","crawlerId","domainId","includePaths","name"],"type":"object","properties":{"name":{"maxLength":2147483647,"minLength":1,"type":"string"},"includePaths":{"maxItems":2147483647,"minItems":1,"type":"array","items":{"$ref":"#/components/schemas/CrawlerIncludePathRequest"}},"crawlerId":{"type":"string","format":"uuid"},"domainId":{"type":"string","format":"uuid"},"assetTypeId":{"type":"string","format":"uuid"},"customClassifiers":{"type":"array","items":{"type":"string"}},"tableLevel":{"maximum":100,"minimum":1,"type":"integer","format":"int32"},"targets":{"type":"string"},"fileGroupPattern":{"type":"string"}}},"CrawlerIncludePathRequest":{"required":["path"],"type":"object","properties":{"path":{"type":"string"},"excludePatterns":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}}}}}
```

## The Schedule object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"Schedule":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"lastRunTimeStamp":{"type":"integer","format":"int64"},"nextRunDateLongValue":{"type":"integer","format":"int64"},"cronJson":{"type":"string"},"workflow":{"type":"string"}}}}}}
```

## The AddFileSystemScheduleRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"AddFileSystemScheduleRequest":{"required":["cronExpression","cronTimeZone","fileSystemAssetId"],"type":"object","properties":{"fileSystemAssetId":{"type":"string","format":"uuid"},"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"cronJson":{"type":"string"}}}}}}
```

## The ChangeFileSystemScheduleRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"ChangeFileSystemScheduleRequest":{"required":["cronExpression","cronTimeZone","fileSystemAssetId"],"type":"object","properties":{"fileSystemAssetId":{"type":"string","format":"uuid"},"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"cronJson":{"type":"string"}}}}}}
```

## The Job object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"Job":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"type":{"type":"string","description":"The type of the job."},"userId":{"type":"string","description":"The ID of the user that initiated this job.","format":"uuid"},"visibility":{"type":"integer","description":"The visibility of the job.","format":"int32"},"progressPercentage":{"type":"number","description":"The progress percentage of the job.","format":"double"},"cancelable":{"type":"boolean","description":"Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted."},"startDate":{"type":"integer","description":"The start date of the job.","format":"int64"},"endDate":{"type":"integer","description":"The end date of the job.","format":"int64"},"state":{"type":"string","description":"The state of the job.","enum":["WAITING","RUNNING","CANCELING","COMPLETED","CANCELED","ERROR"]},"result":{"type":"string","description":"The result of the job.","enum":["NOT_SET","SUCCESS","COMPLETED_WITH_ERROR","FAILURE","ABORTED"]},"message":{"type":"string","description":"The message of the job."}},"description":"Represents a job. Job is a single atomic task that is to be performed asynchronously"}}}}
```

## The GenericConfiguration object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"GenericConfiguration":{"required":["id","ingestibleId","value"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"ingestibleId":{"type":"string","format":"uuid"},"value":{"type":"string"}}}}}}
```

## The SaveGenericConfigRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"SaveGenericConfigRequest":{"required":["configuration"],"type":"object","properties":{"configuration":{"type":"string"}}}}}}
```

## The AddGenericScheduleRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"AddGenericScheduleRequest":{"required":["cronExpression","cronTimeZone"],"type":"object","properties":{"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"cronJson":{"type":"string"}}}}}}
```

## The ChangeGenericScheduleRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"ChangeGenericScheduleRequest":{"required":["cronExpression","cronTimeZone"],"type":"object","properties":{"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"cronJson":{"type":"string"}}}}}}
```

## The LegacyJobDto object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"LegacyJobDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"createdBy":{"type":"string","format":"uuid"},"createdOn":{"type":"integer","format":"int64"},"lastModifiedBy":{"type":"string","format":"uuid"},"lastModifiedOn":{"type":"integer","format":"int64"},"system":{"type":"boolean"},"resourceType":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"userId":{"type":"string","format":"uuid"},"visibility":{"type":"integer","format":"int32"},"progressPercentage":{"type":"number","format":"double"},"cancelable":{"type":"boolean"},"startDate":{"type":"integer","format":"int64"},"endDate":{"type":"integer","format":"int64"},"state":{"type":"string"},"result":{"type":"string"},"message":{"type":"string"}}}}}}
```

## The UpdateCrawlerCustomClassifiersRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"components":{"schemas":{"UpdateCrawlerCustomClassifiersRequest":{"required":["crawlerId","customClassifierNames"],"type":"object","properties":{"crawlerId":{"type":"string","format":"uuid"},"customClassifierNames":{"type":"array","items":{"type":"string"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/cloud-ingest/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
